IBM AIX 7.1, 7.2, 7.3, and VIOS 3.1 could allow a non-privileged local user to exploit a vulnerability in the invscout command to execute arbitrary commands. IBM X-Force ID: 251207.
Published 2023-04-28 03:15:08
Updated 2023-05-18 16:15:10
View at NVD,   CVE.org

Exploit prediction scoring system (EPSS) score for CVE-2023-28528

0.19%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 57 %
Percentile, the proportion of vulnerabilities that are scored at or less

Metasploit modules for CVE-2023-28528

  • invscout RPM Privilege Escalation
    Disclosure Date: 2023-04-24
    First seen: 2023-09-11
    exploit/aix/local/invscout_rpm_priv_esc
    This module exploits a command injection vulnerability in IBM AIX invscout set-uid root utility present in AIX 7.2 and earlier. The undocumented -rpm argument can be used to install an RPM file; and the undocumented -o argument passes arguments to the rpm ut

CVSS scores for CVE-2023-28528

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
7.8
HIGH CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
1.8
5.9
NIST
8.4
HIGH CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
2.5
5.9
IBM Corporation

CWE ids for CVE-2023-28528

References for CVE-2023-28528

Products affected by CVE-2023-28528

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!